
From: NeilBrown <neilb@cse.unsw.edu.au>

We don't need dl_recall_cnt any more, we're just using a local variable
in nfsd4_cb_recall.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4state.c        |    1 -
 25-akpm/include/linux/nfsd/state.h |    1 -
 2 files changed, 2 deletions(-)

diff -puN fs/nfsd/nfs4state.c~nfsd4-remove-dl_recall_cnt fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-remove-dl_recall_cnt	2005-03-07 23:55:47.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4state.c	2005-03-07 23:55:47.000000000 -0800
@@ -161,7 +161,6 @@ alloc_init_deleg(struct nfs4_client *clp
 	dp->dl_time = 0;
 	atomic_set(&dp->dl_state, NFS4_NO_RECALL);
 	atomic_set(&dp->dl_count, 1);
-	atomic_set(&dp->dl_recall_cnt, 0);
 	list_add(&dp->dl_del_perfile, &fp->fi_del_perfile);
 	list_add(&dp->dl_del_perclnt, &clp->cl_del_perclnt);
 	alloc_delegation++;
diff -puN include/linux/nfsd/state.h~nfsd4-remove-dl_recall_cnt include/linux/nfsd/state.h
--- 25/include/linux/nfsd/state.h~nfsd4-remove-dl_recall_cnt	2005-03-07 23:55:47.000000000 -0800
+++ 25-akpm/include/linux/nfsd/state.h	2005-03-07 23:55:47.000000000 -0800
@@ -86,7 +86,6 @@ struct nfs4_delegation {
 	struct list_head	dl_del_perfile; /* nfs4_file->fi_del_perfile */
 	struct list_head	dl_del_perclnt; /* nfs4_client->cl_del_perclnt*/
 	struct list_head	dl_recall_lru;  /* delegation recalled */
-	atomic_t		dl_recall_cnt;  /* resend cb_recall only once */
 	atomic_t		dl_count;       /* ref count */
 	atomic_t		dl_state;       /* recall state */
 	struct nfs4_client	*dl_client;
_
